
Foreman - Feature #3588

Uninstall plugins - from GUI or command line

11/06/2013 09:16 AM - Benjamin Papillon

Status: New   

Priority: Normal   

Assignee:    

Category: Plugin integration   

Target version:    

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

Actually, there is no documentation nor feature on gui to uninstall plugins.

A Ticket is already open for listing plugins. Being able to uninstall and/or disable them would be handy to troubleshoot weird issues.

(Ex. #3570)

Related issues:

Related to Foreman - Feature #3510: As a GUI user, I would like to know what ... Closed 10/25/2013

Related to Salt - Feature #10859: Instructions on how to remove the Salt Plug... New 06/17/2015

Related to Foreman - Bug #10850: Uninstalling a plugin with a dashboard leads... Closed 06/17/2015

Related to Foreman - Bug #12645: Reports throw error with unknown mailers whe... Resolved

Related to Installer - Bug #16747: Foreman-Installer puppetdb plugin cleanup New 09/29/2016

Related to Foreman - Tracker #19454: Mark plugin migrations to be able to run... Assigned 05/03/2017

Related to Foreman - Bug #8272: Plugins don't cleanup after themselves during... New

Related to Templates - Feature #19260: Add clean up job Closed 04/12/2017

History

#1 - 11/06/2013 09:17 AM - Benjamin Papillon

- Related to Feature #3510: As a GUI user, I would like to know what plugins are installed added

#2 - 11/06/2013 09:20 AM - Benjamin Papillon

- Description updated

#3 - 11/06/2013 09:22 AM - Dominic Cleal

- Category changed from Web Interface to Plugin integration

We have talked about a Jenkins-style plugin manager where we might be able to add/remove plugins on the fly.  Currently we're relying on the

system package manager for RPMs and bundler otherwise, so it's a bit trickier.

This does hint at another looming issue, which is that some plugins should have an uninstallation/purge procedure which removes certain data from

Foreman's database.  As plugins get more advanced, it's likely that they leave things like STI data in tables or foreign keys that might interfere with

running of the standalone Foreman app.

#4 - 11/06/2013 09:29 AM - Benjamin Papillon

This is calling for another ticket :D

Add guidelines to help plugin writers so that they plan and document an uninstall feature.

Shall I create it? ;-)

#5 - 11/06/2013 09:31 AM - Dominic Cleal

Sure, thanks! :)
#6 - 07/17/2015 07:43 AM - Stephen Benjamin

- Related to Feature #10859: Instructions on how to remove the Salt Plugin and upgrading between major foreman versions added

#7 - 12/01/2015 08:12 AM - Dominic Cleal

- Related to Bug #10850: Uninstalling a plugin with a dashboard leads to "Template is missing" error in the ui added

#8 - 12/01/2015 08:12 AM - Dominic Cleal

- Related to Bug #12645: Reports throw error with unknown mailers when plugin is uninstalled added

#9 - 09/30/2016 02:59 AM - Dominic Cleal

- Related to Bug #16747: Foreman-Installer puppetdb plugin cleanup added

#10 - 05/03/2017 01:28 PM - Shimon Shtein

- Related to Tracker #19454: Mark plugin migrations to be able to run them separately for each plugin. added

#11 - 05/04/2017 02:58 AM - Marek Hulán

- Related to Bug #8272: Plugins don't cleanup after themselves during uninstallation added

#12 - 05/04/2017 02:58 AM - Marek Hulán

- Related to Feature #19260: Add clean up job added
